
%global meadversion 1.0.0
%global namedversion 1.0.0.final-redhat-5
%global meadalpha .final_redhat_5
%global meadrel .1
%global serial 3
%global namedversionrel redhat-5

%{?scl:%scl_package %{?scl_prefix}picketbox-commons} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 1.0.0.final-redhat-5

Name: %{?scl_prefix}picketbox-commons
Summary: Common classes for security projects
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
License: LGPLv2+
Group: Development/Libraries

%if %with mead
Source100: picketbox-commons-1.0.0.final-redhat-5-scm-sources.zip
Source102: picketbox-commons-1.0.0.final-redhat-5-javadoc.jar
Source103: picketbox-commons-1.0.0.final-redhat-5-project-sources.tar.gz
Source104: picketbox-commons-1.0.0.final-redhat-5.pom
Source105: picketbox-commons-1.0.0.final-redhat-5-sources.jar
Source106: picketbox-commons-1.0.0.final-redhat-5.jar
%endif


BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

%description
Common classes for security projects

%if %with javadoc
%package javadoc
Summary:        Javadoc for picketbox-commons
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
Javadoc for picketbox-commons
%endif

%prep
                                                                                                     
%build
                                                                                                     
%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/picketbox-commons-%{namedversion}
%endif

#jars
install -pD -T -m 644 %{_sourcedir}/picketbox-commons-%{namedversion}.jar %{buildroot}%{_javadir}/picketbox-commons-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && ln -s picketbox-commons-%{namedversion}.jar picketbox-commons.jar)

install -pD -T -m 644 %{_sourcedir}/picketbox-commons-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketbox-commons-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && ln -s picketbox-commons-%{namedversion}-sources.jar picketbox-commons-sources.jar)

%if %with javadoc
#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/picketbox-commons-%{namedversion}
unzip -d $RPM_BUILD_ROOT%{_javadocdir}/picketbox-commons-%{namedversion} %{_sourcedir}/picketbox-commons-%{namedversion}-javadoc.jar
rm -rf $RPM_BUILD_ROOT%{_javadocdir}/picketbox-commons-%{namedversion}/META-INF
(cd %{buildroot}%{_javadocdir} && ln -s picketbox-commons-%{namedversion} picketbox-commons)
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/*jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/picketbox-commons
%{_javadocdir}/picketbox-commons-%{namedversion}
%endif

%changelog
* Mon Aug 15 2016 Fernando Nasser <fnasser@redhat.com> - 1.0.0-3.final_redhat_5.1
- Upgrade to 1.0.0.final-redhat-5

* Thu Jun 18 2015 Permaine Cheung <pcheung@redhat.com> - 1.0.0-2.final_redhat_4.1
- EAP 7 build

* Fri Dec 12 2014 Lin Gao <lgao@redhat.com> - 1.0.0-1.final_redhat_3.1
- Update spec template file
- Rebuild to remove old EAP bom
- Remove javadoc subpackage


* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-0.8.final_redhat_2.3
- Rebuild for MD5

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.0-0.7.final_redhat_2.3
- Update poms for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-0.7.final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-0.7.final_redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-0.7.final_redhat_1
- Remove javadocs from main package

* Thu Mar 15 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-0.6.final_redhat_1
- Change jars install path
- Use new wrapper
- Requires jpackage-utils in javadoc subpackage
- Remove META-INF from javadoc

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 1.0.0-0.5.final_redhat_1
- Rebuild to use new signing key

* Wed Feb 01 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-0.4.final_redhat_1
- upgrade to 1.0.0.final

* Sun Jan 29 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-0.3.CR1_redhat_1
- fix pom to use new BOMS
- switch to rhpkg build
- fill spec file for rpm build from mead build

* Mon Aug 22 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-0.2.CR1.1
- wolf build

* Mon Aug 8 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-0.1.CR1.1
- initial mead build of picketbox-commons

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:4.0.0-0.1.Beta4.1
- Placeholder
